Subject: Re: [PATCH] New debugger-trap function to break to GDB

From: Paul Eggert <[email-masked]>
Date: Fri, 1 Aug 2025 17:29:32 -0700

On 2025-08-01 16:19, Jeremy Bryant wrote:
> redraw-display and similar functions are usually okay, but they could
>   get in the way if what they do modifies Emacs in a way that interferes
> with debugging

In the past I've used Facos for this purpose, under the theory that 
nobody ever calls acos so I know a breakpoint there means I want the 
debugger trap.

With that in mind I suggest documenting in the doc string that Emacs 
never calls this function except to do X, Y and Z, where X Y and Z are 
spelled out clearly. (I assume X Y and Z all have to do with debugging.)

Also, shouldn't there  be something about the new function in 
doc/lispref/debugging.texi?